
Figure - Bug #113461
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试8小时，出现CRASH: com.android.settings（4）
2022-11-01 14:30 - CD Test赵飞

Status: CLOSED Start date: 2022-11-01

Priority: Normal Due date: 2022-11-08

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210290232

Resolution: DUPLICATE Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: Monkey Test Root cause: 该问题与113460属于同一问题，我们将与113460一同修复

Description

执行命令：

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200

--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 5 --pct-anyevent 5 --ignore-crashes -v -v -v 180000

2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

10-28 06:55:26.397 31043 31043 D AndroidRuntime: Shutting down VM

10-28 06:55:26.399 31043 31043 E AndroidRuntime: FATAL EXCEPTION: main

10-28 06:55:26.399 31043 31043 E AndroidRuntime: Process: com.android.settings, PID: 31043

10-28 06:55:26.399 31043 31043 E AndroidRuntime: java.lang.IllegalStateException: Fragment WifiSettings{1db36de}

(e894501f-d8f2-4816-9b01-32059276bdf1) id=0x7f0a01b4} declared target fragment NetworkDashboardFragment{2c230bf}

(dddacf2a-f14e-4b2c-bc43-84c74dc5d8d0)} that does not belong to this FragmentManager!

10-28 06:55:26.399 31043 31043 E AndroidRuntime:     at

androidx.fragment.app.FragmentStateManager.attach(FragmentStateManager.java:414)

10-28 06:55:26.399 31043 31043 E AndroidRuntime:     at

androidx.fragment.app.FragmentStateManager.moveToExpectedState(FragmentStateManager.java:251)

10-28 06:55:26.399 31043 31043 E AndroidRuntime:     at

androidx.fragment.app.FragmentManager.executeOpsTogether(FragmentManager.java:2209)

10-28 06:55:26.399 31043 31043 E AndroidRuntime:     at

androidx.fragment.app.FragmentManager.removeRedundantOperationsAndExecute(FragmentManager.java:2120)

10-28 06:55:26.399 31043 31043 E AndroidRuntime:     at

androidx.fragment.app.FragmentManager.execPendingActions(FragmentManager.java:2022)

10-28 06:55:26.399 31043 31043 E AndroidRuntime:     at androidx.fragment.app.FragmentManager$5.run(FragmentManager.java:527)

10-28 06:55:26.399 31043 31043 E AndroidRuntime:     at android.os.Handler.handleCallback(Handler.java:938)

10-28 06:55:26.399 31043 31043 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:99)

10-28 06:55:26.399 31043 31043 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

10-28 06:55:26.399 31043 31043 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

10-28 06:55:26.399 31043 31043 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

10-28 06:55:26.399 31043 31043 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

10-28 06:55:26.399 31043 31043 E AndroidRuntime:     at

com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

10-28 06:55:26.399 31043 31043 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)
History

#1 - 2022-11-01 16:04 - CD Test赵飞

日志见Bug #113456 附件

#2 - 2022-11-01 17:36 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

#3 - 2022-11-01 17:38 - CD AF-陈羽杰

- Root cause set to 该问题与113460属于同一问题，我们将与113460一同修复

#4 - 2022-11-01 17:38 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD Test赵飞

#5 - 2022-11-02 14:28 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

与113460属于同一问题，暂时关闭此问题

#6 - 2022-11-02 14:28 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
